List teams
curl --request GET \
--url https://api.hexclave.com/api/v1/teamsimport requests
url = "https://api.hexclave.com/api/v1/teams"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hexclave.com/api/v1/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hexclave.com/api/v1/teams"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hexclave.com/api/v1/teams")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hexclave.com/api/v1/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at_millis": 1630000000000,
"id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"display_name": "My Team",
"server_metadata": {
"key": "value"
},
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
}
}
],
"pagination": {
"next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
}
}Teams
List teams
List all the teams in the project.
GET
/
teams
List teams
curl --request GET \
--url https://api.hexclave.com/api/v1/teamsimport requests
url = "https://api.hexclave.com/api/v1/teams"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hexclave.com/api/v1/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hexclave.com/api/v1/teams"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hexclave.com/api/v1/teams")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hexclave.com/api/v1/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"created_at_millis": 1630000000000,
"id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"display_name": "My Team",
"server_metadata": {
"key": "value"
},
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
}
}
],
"pagination": {
"next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
}
}Query Parameters
Filter for the teams that the user is a member of. Can be either me or an ID. Must be me in the client API
Example:
"me"
Field to order results by. Currently only created_at is supported.
Available options:
created_at Example:
"created_at"
Whether to order results in descending order. Defaults to false (ascending).
Available options:
true, false Example:
"false"
The maximum number of items to return (capped at 200). If omitted, all matching teams are returned unpaginated, unless more than 500 teams match, in which case the request fails with a 400 error; set limit and follow pagination.next_cursor instead.
The cursor to start the result set from. Requires limit to also be set.
A search query to filter the results by. Free-text search applied to the team's id (exact-match) and display name.